class ElementReferencesQueryBuilder {
  constructor() {

    this.counter = 0;
    this.yourQueryContent = [];
    this.concordanceQueryBuilder = document.querySelector('#concordance-query-builder');
    this.concordanceQueryBuilderButton = document.querySelector('#concordance-query-builder-button'); //nur Eventlistener
    this.closeQueryBuilder = document.querySelector('#close-query-builder'); //nur Eventlistener
    this.valueValidator = true;


    //#region QueryBuilder Elements
    this.positionalAttrButton = document.querySelector('#positional-attr-button'); //nur Eventlistener
    this.positionalAttrArea = document.querySelector('#positional-attr');
    this.positionalAttr = document.querySelector('#token-attr');
    this.structuralAttrButton = document.querySelector('#structural-attr-button'); //nur Eventlistener
    this.structuralAttrArea = document.querySelector('#structural-attr');
    this.queryContainer = document.querySelector('#query-container');
    this.yourQuery = document.querySelector('#your-query');
    this.insertQueryButton = document.querySelector('#insert-query-button'); //nur Eventlistener
    this.tokenQuery = document.querySelector('#token-query');
    this.tokenBuilderContent = document.querySelector('#token-builder-content');
    this.tokenSubmitButton = document.querySelector('#token-submit');
    // this.dropButton = '';
      
    this.queryBuilderTutorialInfoIcon = document.querySelector('#query-builder-tutorial-info-icon');
    this.tokenTutorialInfoIcon = document.querySelector('#token-tutorial-info-icon'); // nur Eventlistener
    this.editTokenTutorialInfoIcon = document.querySelector('#edit-options-tutorial-info-icon'); // nur Eventlistener
    this.structuralAttributeTutorialInfoIcon = document.querySelector('#add-structural-attribute-tutorial-info-icon'); // nur Eventlistener
    this.generalOptionsQueryBuilderTutorialInfoIcon = document.querySelector('#general-options-query-builder-tutorial-info-icon'); // nur Eventlistener
    //#endregion QueryBuilder Elements

    //#region Strucutral Attributes
    this.sentence = document.querySelector('#sentence');
    this.entity = document.querySelector('#entity');
    this.textAnnotation = document.querySelector('#text-annotation');
    
    this.entityBuilder = document.querySelector('#entity-builder');
    this.englishEntType = document.querySelector('#english-ent-type');
    this.germanEntType = document.querySelector('#german-ent-type');
    this.emptyEntity = document.querySelector('#empty-entity'); //nur Eventlistener
    this.entityAnyType = false;
    
    this.textAnnotationBuilder = document.querySelector('#text-annotation-builder');
    this.textAnnotationOptions = document.querySelector('#text-annotation-options');
    this.textAnnotationInput = document.querySelector('#text-annotation-input');
    this.textAnnotationSubmit = document.querySelector('#text-annotation-submit');
    //#endregion Structural Attributes

    //#region Token Attributes
    this.tokenQueryFilled = false;
    this.or = document.querySelector('#or');
    this.and = document.querySelector('#and');

    this.wordBuilder = document.querySelector('#word-builder'); //nur hide/show
    this.lemmaBuilder = document.querySelector('#lemma-builder'); //nur hide/show
    this.inputOptions = document.querySelector('#input-options'); //nur hide/show
    this.incidenceModifiersButton = document.querySelector('#incidence-modifiers-button'); //nur hide/show
    this.conditionContainer = document.querySelector('#condition-container'); //nur hide/show
    this.wordInput = document.querySelector('#word-input');
    this.lemmaInput = document.querySelector('#lemma-input');
    this.ignoreCaseCheckbox = document.querySelector('#ignore-case-checkbox'); // nur hide/show
    this.ignoreCase = document.querySelector('input[type="checkbox"]');
    this.wildcardChar = document.querySelector('#wildcard-char');
    this.optionGroup = document.querySelector('#option-group');

    this.englishPosBuilder = document.querySelector('#english-pos-builder'); //nur hide/show
    this.englishPos = document.querySelector('#english-pos');
    this.germanPosBuilder = document.querySelector('#german-pos-builder'); //nur hide/show
    this.germanPos = document.querySelector('#german-pos');

    this.simplePosBuilder = document.querySelector('#simplepos-builder'); //nur hide/show
    this.simplePos = document.querySelector('#simple-pos');

    this.oneOrMore = document.querySelector('#one-or-more');
    this.zeroOrMore = document.querySelector('#zero-or-more');
    this.zeroOrOne = document.querySelector('#zero-or-one'); // die Incidence-Modifier evtl mit data-attributes abfragen?
    this.exactlyN = document.querySelector('#exactlyN');
    this.betweenNM = document.querySelector('#betweenNM');
    this.nInput = document.querySelector('#n-input');
    this.nSubmit = document.querySelector('#n-submit'); //nur Eventlistener
    this.nmInput = document.querySelector('#n-m-input');
    this.mInput = document.querySelector('#m-input');
    this.nmSubmit = document.querySelector('#n-m-submit'); //nur Eventlistener

    this.cancelBool = false; //nur true/false
    this.noValueMessage = document.querySelector('#no-value-message'); //nur hide/show
    //#endregion Token Attributes
  }
}
